Saltar al contenido principal

Issuer Issue Activity Post

2 endpoints

POST /issuers/{clientIssuerId}/issues/{clientIssueId}/activities/message Create issue message activity

This endpoint creates a new issue message activity

Parameters

clientIssuerId required
string · path
The clientIssuerId must be included in the URI
clientIssueId required
string · path
The clientIssueId must be included in the URI

Request Body

name required
string
description required
string
infoUrl required
string

Responses

200 Created
400 Bad Request
401 Unauthorized
POST https://api.cm-qa.onyze.pro/v2/issuers/{clientIssuerId}/issues/{clientIssueId}/activities/message
Request body
{
"name": "Issue",
"description": "Issue description",
"infoUrl": "https://domain.com"
}
Response 200
{
"createdAt": "2024-07-16T05:32:17.016Z",
"updatedAt": "2024-07-16T05:32:17.016Z",
"id": "61f4722b-cfd2-48e8-bd8f-7b8af7c5f285"
}
POST /issuers/{clientIssuerId}/issues/{clientIssueId}/activities/request Create issue request activity

This endpoint creates a new issue request activity

Parameters

clientIssuerId required
string · path
The clientIssuerId must be included in the URI
clientIssueId required
string · path
The clientIssueId must be included in the URI

Responses

200 Created
400 Bad Request
401 Unauthorized
POST https://api.cm-qa.onyze.pro/v2/issuers/{clientIssuerId}/issues/{clientIssueId}/activities/request
Request body
{
"name": "Issue",
"description": "Issue description",
"infoUrl": "https://domain.com",
"dataStructured": {
"domain": {
"name": "...",
"version": "...",
"chainId": "...",
"verifyingContract": "..."
},
"types": {
"Bid": [
{
"name": "amount",
"type": "uint256"
},
{
"name": "bidder",
"type": "Identity"
}
],
"Identity": [
{
"name": "userId",
"type": "uint256"
},
{
"name": "wallet",
"type": "address"
}
]
},
"value": {
"primaryType": "Bid",
"amount": "100",
"bidder": {
"userId": "222",
"wallet": "0x3333333333333333333333333333333333333333"
}
}
}
}
Response 200
{
"createdAt": "2024-07-16T05:32:17.016Z",
"updatedAt": "2024-07-16T05:32:17.016Z",
"id": "61f4722b-cfd2-48e8-bd8f-7b8af7c5f285"
}